FreemarkerTag (FreeMarker 2.3.35 API)
Description: declaration: package: freemarker.ext.jsp, class: FreemarkerTag

Package freemarker.ext.jsp

# Class FreemarkerTag

java.lang.Object
freemarker.ext.jsp.FreemarkerTag

All Implemented Interfaces:
  `javax.servlet.jsp.tagext.BodyTag`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

@Deprecated public class FreemarkerTag extends Object implements javax.servlet.jsp.tagext.BodyTag
Deprecated.
This feature is not supported anymore, also, it uses the deprecated default `Configuration`.
Simple implementation of JSP tag to allow use of FreeMarker templates in JSP. Inspired by similar class in Velocity template engine developed by Geir Magnusson Jr.

- ## Field Summary

  ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

  `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

  ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

  `EVAL_BODY_AGAIN`

  ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

  `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FreemarkerTag()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `doAfterBody()`
  Deprecated.
  `int`
  `doEndTag()`
  Deprecated.
  `void`
  `doInitBody()`
  Deprecated.
  `int`
  `doStartTag()`
  Deprecated.
  `boolean`
  `getCaching()`
  Deprecated.
  `javax.servlet.jsp.tagext.Tag`
  `getParent()`
  Deprecated.
  `void`
  `release()`
  Deprecated.
  `void`
  `setBodyContent​(javax.servlet.jsp.tagext.BodyContent bodyContent)`
  Deprecated.
  `void`
  `setCaching​(boolean caching)`
  Deprecated.
  `void`
  `setName​(String name)`
  Deprecated.
  `void`
  `setPageContext​(javax.servlet.jsp.PageContext pageContext)`
  Deprecated.
  `void`
  `setParent​(javax.servlet.jsp.tagext.Tag parent)`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FreemarkerTag

    public FreemarkerTag()
    Deprecated.

- ## Method Details

  - ### getCaching

    public boolean getCaching()
    Deprecated.

  - ### setCaching

    public void setCaching​(boolean caching)
    Deprecated.

  - ### setName

    public void setName​(String name)
    Deprecated.

  - ### getParent

    public javax.servlet.jsp.tagext.Tag getParent()
    Deprecated.
    Specified by:
      `getParent` in interface `javax.servlet.jsp.tagext.Tag`

  - ### setParent

    public void setParent​(javax.servlet.jsp.tagext.Tag parent)
    Deprecated.
    Specified by:
      `setParent` in interface `javax.servlet.jsp.tagext.Tag`

  - ### doStartTag

    public int doStartTag()
    Deprecated.
    Specified by:
      `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`

  - ### setBodyContent

    public void setBodyContent​(javax.servlet.jsp.tagext.BodyContent bodyContent)
    Deprecated.
    Specified by:
      `setBodyContent` in interface `javax.servlet.jsp.tagext.BodyTag`

  - ### setPageContext

    public void setPageContext​(javax.servlet.jsp.PageContext pageContext)
    Deprecated.
    Specified by:
      `setPageContext` in interface `javax.servlet.jsp.tagext.Tag`

  - ### doInitBody

    public void doInitBody()
    Deprecated.
    Specified by:
      `doInitBody` in interface `javax.servlet.jsp.tagext.BodyTag`

  - ### doAfterBody

    public int doAfterBody()
    Deprecated.
    Specified by:
      `doAfterBody` in interface `javax.servlet.jsp.tagext.IterationTag`

  - ### release

    public void release()
    Deprecated.
    Specified by:
      `release` in interface `javax.servlet.jsp.tagext.Tag`

  - ### doEndTag

    public int doEndTag() throws javax.servlet.jsp.JspException
    Deprecated.
    Specified by:
      `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
    Throws:
      `javax.servlet.jsp.JspException`